<!DOCTYPE html>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<% if (session.getAttribute("username") == null) {
  String redirectURL = request.getContextPath() + "/forgotPassword.jsp";
  response.sendRedirect(redirectURL);
  }
%>
<%--<%String name=(String)request.getAttribute("name");--%>
  <%--out.print("your name"+name);%>--%>
<html lang="en-gb" dir="ltr" vocab="http://schema.org/">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <base href=".">
  <title>OpenAIRE - Reset Password</title>
  <script src="./js/jquery.js"></script>
  <script src="./js/uikit.min.js"></script>
  <script src="./js/validation.js"></script>
  <link rel="stylesheet" style="text/css" href="./css/theme.css">
  <link rel="stylesheet" style="text/css" href="./css/custom.css">
  <link rel="stylesheet" style="text/css" href="./css/aai-custom.css">
  <link rel="icon" type="image/png" sizes="32x32" href="images/favicon/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="96x96" href="images/favicon//favicon-96x96.png">
  <link rel="icon" type="image/png" sizes="16x16" href="images/favicon/favicon-16x16.png">
  <link href="images/favicon/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />
</head>
<body class="" style="">
  <div class="uk-offcanvas-content uk-height-viewport">
    <!-- MENU STARTS HERE -->
    <!-- MAIN MENU STARTS HERE -->
    <div class="tm-header  tm-header-transparent" uk-header="">
      <div class="uk-container uk-container-expand">
        <nav class="uk-navbar" uk-navbar="{&quot;align&quot;:&quot;left&quot;}">
          <div class="uk-navbar-center">
            <div class="uk-logo uk-navbar-item">
              <img alt="OpenAIRE" class="uk-responsive-height" src="./images/Logo_Horizontal.png">
            </div>
          </div>
        </nav>
      </div>
    </div>
    <!-- MENU ENDS HERE -->
    <!-- CONTENT STARTS HERE -->
    <div class="first_page_section uk-section-default uk-section uk-padding-remove-vertical">
      <div class="first_page_banner_headline uk-grid-collapse uk-flex-middle uk-margin-remove-vertical uk-grid" uk-grid="">
      </div>
    </div>
    <div class=" uk-section tm-middle custom-main-content" id="tm-main">
      <div class="uk-container uk-container-small uk-margin-small-bottom uk-text-center">
        <div uk-grid="" class="uk-grid uk-grid-stack">
          <div class="tm-main uk-width-1-2@s uk-width-1-1@m  uk-width-1-1@l uk-row-first uk-first-column uk-align-center">
            <div class="uk-grid ">
              <!-- CENTER SIDE -->
              <div class="uk-width-1-1@m uk-width-1-1@s uk-text-center">
                <div class="middle-box text-center loginscreen animated fadeInDown ">
                  <p>To complete the password reset process, please enter a new password. <b>Must contain at least one number and one uppercase and lowercase letter, and at least 6 or more characters.
                    No white space allowed.</b></p>
                  <div class="uk-width-1-3@m uk-align-center"></p>
                      <!-- REGISTER FORM -->
                      <div id="registerForm">
                        <form action="resetPassword" method="POST" role="form" class="m-t" id="register_form" >
                          <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
                          <div class="alert alert-success" aria-hidden="true" style="display: none;"></div>
                          <div class="alert alert-danger" aria-hidden="true" style="display: none;"></div>
                            <div class="form-group">
                              <span class="msg_password_error uk-text-danger uk-text-small uk-float-left" style="display:none">Please enter your password.</span>
                              <span class="msg_pass_conf_error uk-text-danger uk-text-small uk-float-left" style="display:none">These passwords don't match.</span>
                              <p><span class="msg_please_add uk-text-danger uk-text-small uk-float-left" style="display:none">Please add: &nbsp</span></p>
                              <span class="msg_lowercase_letter uk-text-danger uk-text-small uk-float-left" style="display:none">A lowercase letter. &nbsp</span>
                              <span class="msg_capital_letter uk-text-danger uk-text-small uk-float-left" style="display:none">A capital (uppercase) letter. &nbsp </span>
                              <span class="msg_number uk-text-danger uk-text-small uk-float-left" style="display:none">A number. &nbsp</span>
                              <span class="msg_lenght uk-text-danger uk-text-small uk-float-left" style="display:none">Minimum 6 characters. &nbsp</span>
                              <p><span class="msg_space uk-text-danger uk-text-small uk-float-left" style="display:none">No white space allowed. &nbsp</span></p>
                              <%--<span id="server_invalid_password_error" class="uk-text-danger uk-text-small uk-float-left">${msg_invalid_password}</span>--%>
                              <%--<c:remove var="msg_invalid_password" scope="session" />--%>
                              <input id="password" name="password" type="password" placeholder="Password" class="form-control"></div>
                              <div class="form-group">
                                <input id="password_conf" name="password_conf" type="password" placeholder="Confirm password" class="form-control"></div>
                              <div class="uk-margin uk-grid-small uk-child-width-auto uk-grid uk-text-left uk-grid-stack" uk-grid="">
                              <div class="uk-width-1-1 uk-grid-margin uk-first-column">
                                <button type="submit" class="uk-button uk-button-primary" onclick="return validatePasswordForm();">Reset Password</button>
                              </div>
                            </div>
                        </form>
                      </div>
                      <!-- END OF REGISTER FORM -->
                      <script>

                        var password = document.getElementById("password");

                          // When the user starts to type something inside the password field
                          password.onkeyup = function() {

                            // Validate lowercase letters
                            var lowerCaseLetters = /[a-z]/g;
                            if (password.value.match(lowerCaseLetters)) {
                              $(".msg_lowercase_letter").fadeOut();
                            } else {
                              $(".msg_lowercase_letter").fadeIn();
                            }

                            // Validate capital letters
                            var upperCaseLetters = /[A-Z]/g;
                            if (password.value.match(upperCaseLetters)) {
                              $(".msg_capital_letter").fadeOut();
                            } else {
                              $(".msg_capital_letter").fadeIn();
                            }

                            // Validate numbers
                            var numbers = /[0-9]/g;
                            if (password.value.match(numbers)) {
                              $(".msg_number").fadeOut();
                            } else {
                              $(".msg_number").fadeIn();
                            }

                            // Validate length
                            if (password.value.length >= 6) {
                              $(".msg_lenght").fadeOut();
                            } else {
                              $(".msg_lenght").fadeIn();
                            }

                            // Validate no white space
                            var space = /[\s]+/g;
                            if (password.value.match(space)){
                              $(".msg_space").fadeIn();
                            } else {
                              $(".msg_space").fadeOut();
                            }

                            if(password.value.match(lowerCaseLetters) && password.value.match(upperCaseLetters)
                                && password.value.match(numbers) && (password.value.length >= 6)){
                              if($(".msg_please_add").css('display')!='none'){
                                $(".msg_please_add").fadeOut();
                              }
                            } else {
                              if($(".msg_please_add").css('display')=='none') {
                                $(".msg_please_add").fadeIn();
                              }
                            }

                          }

                          $("#password").focusin(function () {
                            $(this).removeClass('aai-form-danger');
                            $(".msg_please_add").fadeOut();
                            $(".msg_password_error").fadeOut();
//                            $("#server_invalid_password_error").fadeOut();
                            $(".msg_pass_conf_error").fadeOut();
                            $(".msg_lowercase_letter").fadeOut();
                            $(".msg_capital_letter").fadeOut();
                            $(".msg_number").fadeOut();
                            $(".msg_lenght").fadeOut();
                          });

                          $("#password_conf").focusin(function () {
                            $(this).removeClass('aai-form-danger');
                            $(".msg_pass_conf_error").fadeOut();
                          });

                    </script>
                    </div>
                  </ul>
                </div>
              </div>
              <!-- END OF CENTER SIDE -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- CONTENT ENDS HERE -->
    <!-- FOOTER STARTS HERE-->
    <div class="custom-footer"  style="z-index: 200;">
      <div class="uk-section-primary uk-section uk-section-small">
        <div class="uk-container">
          <div class="uk-grid-margin uk-grid uk-grid-stack" uk-grid="">
            <div class="uk-width-1-1@m uk-first-column">
              <div class="uk-margin uk-margin-remove-top uk-margin-remove-bottom uk-text-center">
                <img alt="OpenAIRE" class="el-image" src="./images/Logo_Horizontal_white_small.png">
              </div>
              <div class="footer-license uk-margin uk-margin-remove-bottom uk-text-center uk-text-lead">
                <div><a href="http://creativecommons.org/licenses/by/4.0/" target="_blank" rel="license"><img alt="Creative" src="./images/80x15.png" style="height: auto; max-width: 100%; vertical-align: middle;"></a>&nbsp;UNLESS OTHERWISE INDICATED, ALL MATERIALS CREATED BY THE OPENAIRE CONSORTIUM ARE LICENSED UNDER A&nbsp;<a href="http://creativecommons.org/licenses/by/4.0/" rel="license">CREATIVE COMMONS ATTRIBUTION 4.0 INTERNATIONAL LICENSE</a>.</div>
                <div>OPENAIRE IS POWERED BY&nbsp;<a href="http://www.d-net.research-infrastructures.eu/">D-NET</a>.</div>
              </div>
              <div class="uk-margin uk-margin-remove-top uk-margin-remove-bottom uk-text-right">
                <a class="uk-totop uk-icon" href="#" uk-scroll="" uk-totop="">
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div> <!-- FOOTER ENDS HERE -->
  </div>
</body>
</html>
